000029981 - AFX connectors remain in a Not Deployed state and templates show (Migration Required) in RSA Identity Governance & Lifecycle

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support on Oct 29, 2019
Version 23Show Document
  • View in full screen mode

Article Content

Article Number000029981
Applies ToRSA Product Set: Identity Governance & Lifecycle
RSA Version/Condition: 6.8.1, 6.9.1, 7.0.x, 7.1.x
IssueAfter an upgrade or patch installation, the AFX Server is in a Running state but all the previously working RSA Identity Governance & Lifecycle AFX connectors show as Not Deployed and do not progress to a Running state. For example,
 
User-added image


In the user interface, the Connector Templates page (AFX > Connector Templates) shows the message (Migration Required).
 
User-added image
CauseThe connector templates have not been upgraded/patched to the version or patch level just applied to RSA Identity Governance & Lifecycle.
 
ResolutionConnector templates need to be upgraded or patched every time RSA Identity Governance & Lifecycle is upgraded or patched. This is done by importing a zip file of the format AFX-<version>_<patch-level>-Standard-Connectors.zip or AFX-<version>_<patch-level>-Premium-Connectors.zip that contains the upgraded/patched templates using the following steps.
  1. Login to RSALink and download the AFX connector template zip file for your version. See 000038064 -- How to download RSA Identity Governance & Lifecycle patches for instructions on how to download the AFX connector template zip file.
  2. Once downloaded, login to RSA Identity Governance & Lifecycle as AveksaAdmin.
  3. Navigate to AFX > Import.
  4. Click Choose File and select the file that was downloaded for the version upgrade or patch upgrade.  
  5. Click Next. This may take some time depending on the file size.  For example, the standard connector zip file is much larger than the premium connector zip file.
  6. Once that step is complete, another page will open where all of the templates are listed and you may select the templates that you want to upgrade. You have two options; 
    1. Select individual templates, or
    2. Select all by clicking the uppermost left check box.  
  7. Once you have made your choices, click Import. After the import completes, you should no longer see the Migration Required message in the Connector Template screen, and your connectors should show as Running.

 
NotesIf the required zip file cannot be found, please contact RSA Customer Support for assistance.  They may provide a URL for the file to be downloaded.

Alternatively, send an email to support@rsa.com for the RSALink issue, where you cannot see the file for download.
 

Attachments

    Outcomes